Bug 3875 - невозможно соединиться с некоторыми хостами
: невозможно соединиться с некоторыми хостами
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-image-std26-up)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-03-25 10:01 by
Modified: 2007-04-06 16:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-03-25 10:01:13
С ядром версии 2.6 с моей машины невозможно соединиться с некоторыми хостами по
любым портам. например:

$ telnet x.x.x.x https
Trying x.x.x.x...
telnet: connect to address x.x.x.x: Connection timed out
[srr@sabitov srr]$ uname -a
Linux sabitov.stacksoft.ru 2.6.4-std26-up-alt4 #1 Tue Mar 23 13:23:03 MSK 2004
i686 unknown unknown GNU/Linux

В то же время ping проходит:
[srr@sabitov srr]$ ping x.x.x.x
PING x.x.x.x (x.x.x.x) 56(84) bytes of data.
64 bytes from x.x.x.x: icmp_seq=1 ttl=246 time=19.7 ms
64 bytes from x.x.x.x: icmp_seq=2 ttl=246 time=19.4 ms
....
--- x.x.x.x ping statistics ---
10 packets transmitted, 10 received, 0% packet loss, time 9007ms
rtt min/avg/max/mdev = 18.738/19.384/20.829/0.584 ms

С ядром версии 2.4 проблем не возникает (перегружаюсь на той же машине с теми
же
настройками, меняется только ядро)

Используется NAT. Трассировка пакетов показывает, что они уходят с моей машины,
но ответа нет.

В то же время из той же сети соединение с тем же хостом с машины под Debian
Unstable c ядром 2.6.4 происходит без проблем.

srr $telnet x.x.x.x https
Trying x.x.x.x...
Connected to x.x.x.x.
Escape character is '^]'.
^]

telnet> quit
Connection closed.

srr $uname -a
Linux paranoic 2.6.4.00 #1 SMP Thu Mar 11 14:07:39 MSK 2004 i686 GNU/Linux


Пока я встретил проблему только c одним хостом.
------- Comment #1 From 2004-03-25 18:34:41 -------
нашел еще один хост (публичный) с теми же проблемами:
64.12.164.153:80
------- Comment #2 From 2004-03-26 14:34:10 -------
настройки NAT покажите пожалуйста
------- Comment #3 From 2004-03-26 15:13:05 -------
Постараюсь узнать (я не админ), но в общем топология такая:
|--------------|
|моя сеть(VLAN)|
---------------|
       |
|--------------|
|    cisco     |
|--------------|
       |
|--------------|
|  NAT FreeBSD |
|--------------|
       |
|--------------|
| INTERNET     |
|--------------|
------- Comment #4 From 2004-04-01 18:01:36 -------
Настройки NAT такие:
SNAT all -- * eth0 10.0.2.0/24 0.0.0.0/0 to:217.73.XXX.XXX
------- Comment #5 From 2004-04-05 22:22:26 -------
Проверьте на 2.6.5-alt1, пожалуйста.
------- Comment #6 From 2004-04-07 10:02:23 -------
Проверил, работает, соединяется.
------- Comment #7 From 2004-04-07 11:34:49 -------
fixed (2.6.5-alt1, vanilla)